<wo:form>
<script type = "text/javascript">
			function checkAll(bx) {
  				var cbs = document.getElementsByTagName('input');
  				for(var i=0; i < cbs.length; i++) {
    				if(cbs[i].type == 'checkbox') {
    						cbs[i].checked = bx.checked;
   					}
 				}
			}
    	</script>
  <wo:AjaxUpdateContainer id = "$buttonsContainerId">
    <wo:CktlAjaxSimpleTableView id = "$tableRepartitionId" displayGroup = "$displayGroup" item = "$currentItem" selectionMultipleEnabled = "false" useFixedHeader = "false" updateContainerID = "bouton">
      <wo:CktlAjaxSimpleTableViewHeader>
      	<th class="center"><wo:checkbox onclick="checkAll(this);submit();" checked="$checkTout" /></th>
        <wo:CktlAjaxSimpleTableViewColumn label = "Type" />
        <wo:CktlAjaxSimpleTableViewColumn label = "Nom" />
        <wo:CktlAjaxSimpleTableViewColumn label = "Prénom" />
        <wo:CktlAjaxSimpleTableViewColumn label = "Composante" />
        <wo:CktlAjaxSimpleTableViewColumn label = "Département" />
        <wo:CktlAjaxSimpleTableViewColumn label = "Corps/Contrat" />
        <wo:CktlAjaxSimpleTableViewColumn label = "Statut" />
        <wo:CktlAjaxSimpleTableViewColumn label = "Type fiche" />
        <wo:CktlAjaxSimpleTableViewColumn label = "Heures attribuées" />
        <wo:CktlAjaxSimpleTableViewColumn label = "Heures réalisées" />
        <wo:CktlAjaxSimpleTableViewColumn label = "Etat" />
      </wo:CktlAjaxSimpleTableViewHeader>
      <wo:CktlAjaxSimpleTableViewBody>
	  <wo:if condition = "$styleLigneChangementAP">	
      	<td class = "cktl-center-align cktl-line-separator"><wo:if condition="$afficherValidationPossible"><wo:AjaxObserveField><wo:checkbox checked = "$isSelectedServiceDetailItem" /></wo:AjaxObserveField></wo:if></td>
        <td class = "cktl-left-align cktl-line-separator"><wo:string value = "$currentItem.composantAP.typeAP.code" /></td>
        <td class = "cktl-left-align cktl-line-separator"><wo:string value = "$enseignantBeanNom" /></td>
        <td class = "cktl-left-align cktl-line-separator"><wo:string value = "$enseignantBeanPrenom" /></td>
        <td class = "cktl-left-align cktl-line-separator"><wo:string value = "$enseignantBeanComposante" /></td>
        <td class = "cktl-left-align cktl-line-separator"><wo:string value = "$enseignantBeanDepartement" /></td>
        <td class = "cktl-left-align cktl-line-separator"><wo:string value = "$enseignantBeanCorps" /></td>
        <td class = "cktl-left-align cktl-line-separator"><wo:string value = "$enseignantBeanStatut" /></td>
        <td class = "cktl-left-align cktl-line-separator"><wo:string value = "$enseignantBeanEtatFicheService" /></td>
        <td class = "cktl-right-align cktl-line-separator"><wo:CktlNumber value = "$currentItem.heuresPrevues" /></td>
        <td class = "cktl-right-align cktl-line-separator"><wo:CktlNumber value = "$currentItem.heuresRealisees" /></td>
        <td class = "cktl-left-align cktl-line-separator"><wo:string value = "$etatRepartition" /></td>
      </wo:if>
      <wo:else>
      	<td align = "center"><wo:if condition="$afficherValidationPossible"><wo:AjaxObserveField><wo:checkbox checked = "$isSelectedServiceDetailItem" /></wo:AjaxObserveField></wo:if></td>
        <td align = "left"><wo:string value = "$currentItem.composantAP.typeAP.code" /></td>
        <td align = "left"><wo:string value = "$enseignantBeanNom" /></td>
        <td align = "left"><wo:string value = "$enseignantBeanPrenom" /></td>
        <td align = "left"><wo:string value = "$enseignantBeanComposante" /></td>
        <td align = "left"><wo:string value = "$enseignantBeanDepartement" /></td>
        <td align = "left"><wo:string value = "$enseignantBeanCorps" /></td>
        <td align = "left"><wo:string value = "$enseignantBeanStatut" /></td>
        <td align = "left"><wo:string value = "$enseignantBeanEtatFicheService" /></td>
        <td class = "cktl-right-align"><wo:CktlNumber value = "$currentItem.heuresPrevues" /></td>
        <td class = "cktl-right-align"><wo:CktlNumber value = "$currentItem.heuresRealisees" /></td>
        <td align = "left"><wo:string value = "$etatRepartition" /></td>
       </wo:else> 
      </wo:CktlAjaxSimpleTableViewBody>
    </wo:CktlAjaxSimpleTableView>
    <br />
    <wo:AjaxUpdateContainer id = "bouton">
       <wo:CktlSubmitButton type = "validate" action = "$validerAction" text = "$session.localizer.application.boutonValider" disabled = "$boutonValiderInactif"  />
       <wo:CktlSubmitButton type = "edit" action = "$modifierAction" text = "$session.localizer.application.boutonModifier" disabled = "$boutonModifierInactif" />
    </wo:AjaxUpdateContainer>
  </wo:AjaxUpdateContainer>
</wo:form>